    Program g01hafe

!     G01HAF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: g01haf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: prob, rho, x, y
      Integer                          :: ifail
!     .. Executable Statements ..
      Write (nout,*) 'G01HAF Example Program Results'
      Write (nout,*)

!     Skip heading in data file
      Read (nin,*)

!     Display titles
      Write (nout,*) '     X       Y      RHO    PROB'
      Write (nout,*)

d_lp: Do
        Read (nin,*,Iostat=ifail) x, y, rho
        If (ifail/=0) Then
          Exit d_lp
        End If

!       Calculate probability
        ifail = 0
        prob = g01haf(x,y,rho,ifail)

!       Display results
        Write (nout,99999) x, y, rho, prob
      End Do d_lp

99999 Format (1X,3F8.3,F8.4)
    End Program g01hafe
